import { AssetManager } from '../../asset-manager';
import { BaseLoader } from './base-loader';
export declare class AssetLoader implements BaseLoader {
    private name;
    private manager;
    private assetManager;
    constructor(name: string, manager?: AssetManager);
    init(): Promise<void>;
    get(path: string): Promise<ArrayBuffer>;
}
